Package org.kie.api.runtime.conf

## Enum PersistedSessionOption.ActivationStrategy

- java.lang.Object
- - java.lang.Enum<PersistedSessionOption.ActivationStrategy>
  - - org.kie.api.runtime.conf.PersistedSessionOption.ActivationStrategy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PersistedSessionOption.ActivationStrategy>`
  Enclosing class:
    PersistedSessionOption

      public static enum PersistedSessionOption.ActivationStrategy
      extends java.lang.Enum<PersistedSessionOption.ActivationStrategy>

  NONE : On restoring a session, filter firing based on StoredObject.isPropagated ACTIVATION_KEY : On restoring a session, filter firing based on StoredObject.isPropagated and persisted ActivationKey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVATION_KEY` |
    `NONE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PersistedSessionOption.ActivationStrategy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PersistedSessionOption.ActivationStrategy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final PersistedSessionOption.ActivationStrategy NONE

    - #### ACTIVATION_KEY

          public static final PersistedSessionOption.ActivationStrategy ACTIVATION_KEY

  - ### Method Detail

    - #### values

          public static PersistedSessionOption.ActivationStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistedSessionOption.ActivationStrategy c : PersistedSessionOption.ActivationStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistedSessionOption.ActivationStrategy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null